본문내용 바로가기 메인메뉴 바로가기

하단내용 바로가기

보안공지

MongoDB의 취약한 인증으로 인한 개인 정보 유출 주의 권고2019.01.29

□ 개요
 o 최근 오픈소스 기반 데이터베이스인 MongoDB의 취약한 인증을 악용하여 개인정보 등 중요 정보 유출의 피해가

    발생하고 있어 이용자들의 주의 당부 및 보안 설정 권고

□ 설명
 o 허가받지 않은 사용자가 인증 설정이 부재한 MongoDB 서버 관리용 포트(27017)를 통해 데이터베이스 접근 및

    내부 정보 열람 가능

□ 영향 받는 버전
 o MongoDB 3.4 미만 버전
   ※ 사용자 인증을 활성화하였거나, 접근제어를 설정한 경우 영향 받지 않음

□ 대응 방안
 o MongoDB 소프트웨어 3.4 이상 버전으로 업데이트 [1]
 o 기존 버전으로 사용 시 mongodb.conf 설정 파일의 auth=true를 추가하여 사용자 인증 활성화
   ※ 기본 관리용 포트(27017) 변경 및 IP 접근제어 설정

□ 기타 문의사항
 o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

[참고사이트]
 [1] https://www.mongodb.com/download-center/community